VSTGUI: CBaseObject Class Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | List of all members
CBaseObject Class Reference

Base Object with reference counter. More...

`#include <vstguibase.h>`

Inheritance diagram for CBaseObject:

## Public Member Functions
| CBaseObject ()=default
| ~CBaseObject () noexcept override=default
| CBaseObject (const CBaseObject &)
CBaseObject & | operator= (const CBaseObject &)
Message Methods
virtual CMessageResult | notify (CBaseObject *sender, IdStringPtr message)
Public Member Functions inherited from ReferenceCounted< int32_t >
| ReferenceCounted ()=default
virtual | ~ReferenceCounted () noexcept=default
| ReferenceCounted (const ReferenceCounted &)
ReferenceCounted & | operator= (const ReferenceCounted &)
| ReferenceCounted ()=default
| ReferenceCounted (const ReferenceCounted &)
virtual | ~ReferenceCounted () noexcept=default
ReferenceCounted & | operator= (const ReferenceCounted &)
void | forget () override
| decrease refcount and delete object if refcount == 0
void | remember () override
| increase refcount
virtual int32_t | getNbReference () const
| get refcount
void | forget () override
| decrease refcount and delete object if refcount == 0
void | remember () override
| increase refcount
virtual int32_t | getNbReference () const
| get refcount

## Detailed Description

Base Object with reference counter.

## Constructor & Destructor Documentation

## ◆ CBaseObject() [1/2]

CBaseObject | ( |  | ) |
| default

## ◆ ~CBaseObject()

~CBaseObject | ( |  | ) |
| overridedefaultnoexcept

## ◆ CBaseObject() [2/2]

CBaseObject | ( | const CBaseObject & |  | ) |
| inline

## Member Function Documentation

## ◆ notify()

virtual CMessageResult notify | ( | CBaseObject * | sender,
|  | IdStringPtr | message )
| inlinevirtual

Reimplemented in CDataBrowser, CRockerSwitch, CRowColumnView, CScrollbar, CScrollView, CShadowViewContainer, CTooltipSupport, CView, CViewContainer, and GenericStringListDataBrowserSource.

## ◆ operator=()

CBaseObject & operator= | ( | const CBaseObject & |  | ) |
| inline

The documentation for this class was generated from the following file:

- vstguibase.h